List Backup Events with Pagination
GET
/cluster/backups/events/remote
const url = 'https://sylve.lan:8181/api/cluster/backups/events/remote?page=1&size=25';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://sylve.lan:8181/api/cluster/backups/events/remote?page=1&size=25' \ --header 'Authorization: <Authorization>'List paginated backup events for the remote table from the local or selected cluster node
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page
integer
Page number
size
integer
Page size (1-100)
jobId
integer
Backup Job ID
nodeId
string
Cluster node ID
search
string
Search source, target, status, or error
sort[0][field]
string
Sort field
sort[0][dir]
string
Sort direction (asc or desc)
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
data
Array<object>
object
completedAt
string
createdAt
string
error
string
id
integer
jobId
integer
mode
string
output
Zelta output
string
sourceDataset
string
startedAt
string
status
“queued”, “running”, “success”, “failed”, “interrupted”
string
targetEndpoint
string
updatedAt
string
last_page
integer
error
string
message
string
status
string
Examplegenerated
{ "data": { "data": [ { "completedAt": "example", "createdAt": "example", "error": "example", "id": 1, "jobId": 1, "mode": "example", "output": "example", "sourceDataset": "example", "startedAt": "example", "status": "example", "targetEndpoint": "example", "updatedAt": "example" } ], "last_page": 1 }, "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Cluster Node Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Remote Node Failure
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forwarding Service Unavailable
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Remote Node Timeout
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}